<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
	$is_task_page	= empty($is_task_page) ? false : true;
?>
<div class="container">
	<form class="">
		<table class="table table-condensed nm inputs-flat<?php echo $is_task_page ? ' tpopup' : ''; ?>">
			<colgroup>
				<col width="auto">
				<col width="35px">
			</colgroup>
			<thead>
				<tr>
					<th colspan="2" class="nb">
						<div class="pull-right btn-group" style="font-weight:normal;">
							<a href="javascript:;" tabindex="7" class="pull-left blue" style="padding:3px 10px 0 0;" data-bind="click:$parent.saveStart, visible:_info.showBtn()&&_info.enStart()" title="<?php echo lang('SAVE_AND_START'); ?>"><?php echo lang('SAVE_AND_START'); ?></a>
		<?php //			<a href="javascript:;" class="stop pull-right icon-pause cp" data-bind="click:$parent.stop, disable:Otime.app.is_edit_mode, visible:_info.is_running"></a> ?>
							<button tabindex="8" class="btn btn-success btn-xs" data-bind="click:$parent.save" title="<?php echo lang('SAVE'); ?>"><?php echo lang('SAVE'); ?></button>
							<button tabindex="9" class="btn btn-primary btn-xs" data-bind="click:$parent.cancel" title="<?php echo lang('CANCEL'); ?>">
								<i style="color:#FFF;" class="icon icon-remove"></i>
							</button>
						</div>
					</th>
				</tr>
			</thead>
			<tbody class="">
				<tr>
					<td title="<?php echo lang('PROJECT'); ?>">
					<?php if(!$is_task_page){ ?>
						<select tabindex="1" data-bind="options:$root.projects, optionsText:'label', optionsValue:'id', optionsCaption:'<?php echo lang('SELECT_THE_PROJECT'); ?>', value:project_id, chosen:true">
						</select>
					<?php } else { ?>
						<span data-bind="text:_info.project_name" style="padding-left:8px;"></span>
					<?php } ?>
					</td>
					<td>&nbsp;</td>
				</tr>
				<tr>
					<td title="<?php echo lang('TASK_TYPE'); ?>">
						<select tabindex="2" data-bind="options:_info.task_types, optionsText:'name', optionsValue:'task_type_id', optionsCaption:'Select Task type...', value:task_type_id, chosen:true">
						</select>
					</td>
					<td>
						<?php if ($this->ot_app->get("modify_billable")){ ?>
						<a title="Billable" class="selected" href="javascript:;" data-bind="click:function(){is_billable(!is_billable());}, attr:{disabled:!is_billable()}">
							<i class="icon-dollar icon-metro img-circle"></i>
						</a>	
						<?php } else { ?>
						<a title="Billable" class="selected" href="javascript:;" data-bind="attr:{disabled:!is_billable()}" style="cursor:default;" readonly="">
							<i class="icon-dollar icon-metro img-circle"></i>
						</a>
						<?php } ?>
					</td>
				</tr>
				<tr>
					<td colspan="2" title="<?php echo lang('ACTIVITY'); ?>" class="pr">
						<?php if(!$is_task_page){ ?>
<?php /*				<span class="icon-tasks" data-bind="visible:task_id"></span> */ ?>
						<input type="text" style="margin-top:3px;" tabindex="3" placeholder="<?php echo lang('ACTIVITY'); ?>" class="form-control input-sm input-flat" data-bind="value:activity_name, valueUpdate:'keypress', autoComplete:{source:getTasks, select:setTasks}" autofocus />
						<?php } else { ?>
						<input type="text" style="margin-top:3px;" tabindex="3" placeholder="<?php echo lang('ACTIVITY'); ?>" class="form-control input-sm input-flat" readonly="true" data-bind="value:activity_name" autofocus />
						<?php } ?>
					</td>
				</tr>
				<tr>
					<td colspan="2">
						<div class="row nm">
							<span class="pull-left" title="<?php echo lang('HOURS'); ?>" style="width:50%;" data-bind="show:(!Otime.tsReq || (!_info.isFuture && hours()-0>0))">
								<span class="gray" data-bind="show:(!_info.isFuture || hours())"><?php echo lang('HOURS'); ?></span></br>
								<input class="input-xs form-control h4 al hours nm" maxlength="5" tabindex="4" style="width:85px;border-radius:0px;" type="text" maxlength="5" data-bind="numberOnly:{keyCodes:[58]}, value:hoursDisp, event:{focus:updateHrs, change:onChange}, disable:(_info.isFuture || !!(Otime.tsReq-0))"/>
							</span>
							<span class="pull-left ar" style="width:50%;" title="<?php echo lang('ESTIMATED_HOURS'); ?>" data-bind="if:(!_info.isPast || (estimated_hours()-0)>0)">
								<span class="gray" data-bind="hidden:(_info.isPast && !estimated_hours())"><?php echo lang('ESTIMATED_HOURS'); ?></span>
<?php /*							<!-- ko if:Otime.periodFormat==":" -->
									<input class="input-xs input-flat h4 fw ac" type="text" data-bind="value:estimated_hours, timeEntry:{hourFormat:true, separator:':'}, disable:_info.isPast"/>
									<!-- /ko -->
									<!-- ko ifnot:Otime.periodFormat==":" --> */ ?>
								<input class="input-xs form-control ar estimate" style="width:85px;" maxlength="5" tabindex="4" placeholder="<?php //echo 'HH'.$periodFormat.'MM'; ?>" type="text" maxlength="5" data-bind="numberOnly:{keyCodes:[58]}, value:estimatedHoursDisp, event:{change:onChangeEst}, disable:_info.isPast"/>
<?php /*							<!-- /ko --> */ ?>
							</span>
						</div>
					</td>
				</tr>
<?php /*	<a class="blue small" href="javascript:;" style="margin:10px 0 0 3px;" data-bind="visible:$root.view()==2, click:$parent.moveToNextWeek"><?php echo lang('MOVE_TO_NEXT_WEEK'); ?></a> */ ?>
				<!-- ko if:_info.is_extra -->
				<tr>
					<td colspan="2">
						<table class="table table-condensed pull-left time-edit-table nmb">
							<colgroup>
								<col class="col-md-4">
								<col class="col-md-1">
								<col class="col-md-4">
								<col class="col-md-2">
								<col class="col-md-1">
							</colgroup>
							<tbody data-bind="foreach:details">
								<tr class="detail" data-bind="css:{'error':isValid()==false}">
									<td class="ac nb">
										<input tabindex="5" type="text" class="input-xs col-md-11 col-sm-9 col-xs-9 np ac fromDt" data-bind="value:from_time, timeEntry:{date:$parent.entry_date}, event:{blur:function(data, event){$parent.newHrs($index, data, event); itemBlur(data, event, 'from'); }}" title="<?php echo lang('START_TIME'); ?>" />
									</td>
									<td class="ac nb"><?php echo lang('TO'); ?></td>
									<td class="ac nb">
										<input tabindex="5" type="text" class="input-xs text-center col-md-11 col-sm-9 col-xs-9 np toDt" data-bind="value:to_time, timeEntry:{date:$parent.entry_date, autoAMPM:1, minTime:from_time}, event:{blur:itemBlur}" title="<?php echo lang('END_TIME'); ?>" />
									</td>
									<td class="ar nb vam">
										<span class="label label-default dib h5 nm" data-bind="hours:{val:hours, showNull:true}"></span>
									</td>
									<td class="ar nb vam">
										<span class="icon icon-trash cp" data-bind="click:$parent.deleteHrs, visible:from_time" title="<?php echo lang('DELETE_HOURS'); ?>"></span>
									</td>
								</tr>
							</tbody>
							<tfoot data-bind="if:direct_entry">
								<td colspan="3" class="ar vam gray"><?php echo lang('DIRECT_ENTRY'); ?></td>
								<td class="ar nb vam">
									<span class="label label-default dib h5" data-bind="hours:{val:direct_entry, showNull:true}"></span>
								</td>
								<td></td>
							<tfoot>
						</table>
						<div class="sep">&nbsp;</div>
					</td>
				</tr>
				<tr>
					<td colspan="2">
						<textarea class="form-control fwt" rows="1" style="font-size:12px;line-height:1.5em;" tabindex="6" data-bind="value:notes" placeholder="<?php echo lang('NOTES'); ?>" title="<?php echo lang('NOTES'); ?>"></textarea>
					</td>
				</tr>
				<!-- /ko -->
			</tbody>
		</table>
	</form>
</div>
<div class="sep">&nbsp;</div>
<span data-bind="css:{'icon-chevron-down':!_info.is_extra(),'icon-chevron-up':_info.is_extra}, click:swap_extra" class="more gray"></span>
