<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

	$is_ajax_request	= $this->input->is_ajax_request();

	if (!$is_ajax_request)
	{
		$this->load->view("header");
	}

	// test
?>
<div id="addons-container">
	<div class="page-header-bar">
		<div id="alert_message" class="ac col-md-9 fix-it"></div>
		<span class="title"><?php echo lang('ADDONS'); ?></span>
		<ul class="btns list-inline">
			<li>
				<a href="javascript:;" title="<?php echo lang('CANCEL'); ?>" data-bind="click:cancel"><i class="icon-arrow-left icon-metro img-circle"></i></a>
			</li>
		</ul>
	</div>
	<div class="row">
		<div id="list-container" class="col-md-12">
			<div data-bind="foreach:items">
				<div class="sep"></div>
				<div data-bind="css:{'in-act gray':is_enabled()!=0}" class="block row nm">
					<div class="col-md-1">
						<!-- ko if: app_image!='' -->
							<img src="" data-bind="img:app_image, attr:{title:app_name}" class="img32x32"  style="margin:10px;"/>
						<!-- /ko -->
					</div>
					<div class="col-md-11 npl">
						<div class="col-md-9 npl" >
							<h3 data-bind="text:app_name" class="nm"></h3>
							<div data-bind="text:app_description"></div>
						</div>
						<div class="col-md-3 nm np ar">
							<button type="button" class="btn btn-default btn-sm" data-bind="visible:is_enabled()!=0, click:$parent.configEdit">
								<strong><?php echo lang('CONFIG'); ?></strong>
							</button>&nbsp;&nbsp;&nbsp;
							<button type="button" class="btn btn-success btn-sm" data-bind="visible:is_enabled()==0,click:change_status">
								<strong><?php echo lang('ENABLE'); ?></strong>
							</button>
							<button type="button" class="btn btn-primary btn-sm" data-bind="visible:is_enabled()!=0,click:change_status">
								<strong><?php echo lang('DISABLE'); ?></strong>
							</button>
						</div>
					</div>
				</div>
				<div class="sep"></div>
				<hr class="nm">
			</div>
		</div>
	</div>
	<div class="page-slide col-lg-5 col-sm-12 col-xs-12 col-md-5 auto-height" data-bind="slideVisible:is_edit_mode()==true">
		<div id="edit_layout">
		</div>
	</div>
</div>
<?php
	if (!$is_ajax_request)
	{
		$this->load->view("footer");
	}
	
	$jslang	= array();
	$tmp	= array(
			'DISABLE_HOOK_CONFIRM_MSG',
	);
	foreach ($tmp as $val)
	{
		$jslang[$val]	= lang($val);
	}
?>
<script type="text/javascript">
	$(document).ready(function(){
		Otime.Addons.language	= <?php echo json_encode($jslang); ?>;
		Otime.Addons.IMG = "<?php echo base_url() . 'uploads/addons/'; ?>";
		window.Otime.load("Addons");
	});
</script>

