<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

?>
<div class="sub-title"><?php echo lang('TIME_ZONE'); ?></div>		
<select class="wid" data-bind="value:time_zone_code, chosen:true">
	<?php
		foreach(timezones() as $key=>$val)
		{
			echo '<option value="' . $key . '">' . lang($key) . '</option>';
		}
	?>
</select>
<div class="sep">&nbsp;</div>
<div class="sub-title"><?php echo lang('TIME_DATE_FORMAT'); ?></div>
<div class="row np nm">
	<div class="col-md-6 npl">
		<select data-bind="value:date_format, fancy:true">
		<?php
			$formats	= $this->config->item('date_formats');
			foreach ($formats as $key=>$val)
			{
				echo '<option value="' . $key . '">' . strtolower($key) . '</option>';
			}
		?>
		</select>
	</div>
	<div class="col-md-6 np">
		<select data-bind="value:time_format, fancy:true">
			<option value="0">11:59 PM</option>
			<option value="1">23:59</option>
		</select>
	</div>
</div>
<div class="sep">&nbsp;</div>
<div class="sub-title"><?php echo lang('TIMESHEET_HOURS_DISPLAY_FORMAT'); ?></div>
<div class="row np nm col-md-12">
	<select data-bind="value:period_format, fancy:true">
		<option value="0"><?php echo lang('HOURS_AND_MINUTES'); ?> (10:45)</option>
		<option value="1"><?php echo lang('DECIMAL'); ?> (10.75)</option>
	</select>
</div>