<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
set_value("company_name");
	$is_ajax_request	= $this->input->is_ajax_request();

	if (!$is_ajax_request)
	{
		$this->load->view("header");
	}

	$fields	= array(
		'form_open'	=> array(
			'id'			=> 'signup_form',
			'name'			=> 'signup_form',
			'class'			=> 'form-register form-horizontal col-md-4 col-md-offset-4',
			'action'		=> '/home/entity_register',
			'method'		=> 'post',
			'data-bind'		=> 'submit:onSubmit',
		),
		'company_name' => array(
			'class'			=> 'form-control input-lg',
			'name'			=> 'company_name',
			'id'			=> 'company',
			'placeholder'	=> 'Company',
			'minlength'		=> '5',
			'maxlength'		=> '60',
			'data-bind'		=> 'value:company_name',
		),
		
		'user_name'		=> array(
			'class'			=> 'form-control input-lg',
			'name'			=> 'user_name',
			'id'			=> 'admin_name',
			'placeholder'	=> 'Name',
			'minlength'		=> '4',
			'maxlength'		=> '60',
			'data-bind'		=> 'value:user_name',
		),
		'email'		=> array(
			'class'			=> 'form-control input-lg',
			'name'			=> 'email',
			'id'			=> 'admin_email',
			'placeholder'	=> 'Email',
			'maxlength'		=> '80',
			'data-bind'		=> 'value:email',
			'type'			=> 'email',
			'data-bind'		=> 'value:email, valueUpdate:\'afterkeydown\''
		),
		'confirm_email'		=> array(
			'class'			=> 'form-control input-lg',
			'name'			=> 'confirm_email',
			'id'			=> 'confirm_email',
			'placeholder'	=> 'Confirm Email',
			'maxlength'		=> '80',
			'data-bind'		=> 'value:confirm_email',
			'type'			=> 'email',
		),
		'password'		=> array(
			'class'			=> 'form-control input-lg',
			'name'			=> 'password',
			'id'			=> 'admin_password',
			'placeholder'	=> 'Password',
			'minlength'		=> '6',
			'maxlength'		=> '12',
			'data-bind'		=> 'value:password, valueUpdate:\'afterkeydown\'',
		),
		'confirm_password'		=> array(
			'class'			=> 'form-control input-lg',
			'name'			=> 'confirm_password',
			'id'			=> 'confirm_password',
			'placeholder'	=> 'Confirm Password',
			'minlength'		=> '6',
			'maxlength'		=> '12',
			'data-bind'		=> 'value:confirm_password, visible:password().length',
		),
		'_subdom'	=> array(
			'name'			=> '_subdom',
			'data-bind'		=> 'value:_subdom',
			'type'			=> 'hidden'
		),
	);
?>
<div id="signup-container" class="container">
	<div style="text-align: center; padding-bottom: 15px; font-size: 23px;" class="col-md-12">On-premises Server Trial Account - Signup</div>
	<div id="alert_message">
		<?php echo out_message(); ?>
	</div>
	<?php echo form_open(null, $fields['form_open']); ?>
	<div class="row">
		<div class="input-group">
			<span class="input-group-addon">
				<span class="icon-home"></span>
			</span>
			<?php echo form_input($fields['company_name']); ?>
		</div>
	</div>
	<!-- <div class="sep">&nbsp;</div>
	<div class="row">
		<div class="input-group col-md-8 col-sm-9 col-xs-7 np">
			<span id="domain" ></span>
			<?php
				echo form_input($fields['domain_url']);
				echo form_input($fields['_subdom']);
			?>
		</div>
		<div class="col-md-4 col-sm-3 col-xs-5 np">
			<span class="dib input-lg npr npl">&nbsp;.<?php echo $this->config->item('domain');?></span>
		</div>
	</div> -->
	<div class="sep">&nbsp;</div>
	<div class="row">
		<div class="input-group">
			<span class="input-group-addon">
				<span class="icon-user"></span>
			</span>
			<?php echo form_input($fields['user_name']); ?>
		</div>
	</div>
	<div class="sep">&nbsp;</div>
	<div class="row">
		<div class="input-group">
			<span class="input-group-addon">@</span>
			<?php echo form_input($fields['email']); ?>
		</div>
	</div>

	<div class="row" data-bind="visible:email().length">
	<div class="sep">&nbsp;</div>
		<div class="input-group">
			<span class="input-group-addon">@</span>
			<?php echo form_input($fields['confirm_email']); ?>
		</div>
	</div>
	<div class="sep">&nbsp;</div>
	<div class="row">
		<div class="input-group">
			<span class="input-group-addon">
				<span class="icon-lock"></span>
			</span>
			<?php echo form_password($fields['password']); ?>
		</div>
	</div>
	<div class="sep">&nbsp;</div>	
	<div class="row" data-bind="visible:password().length">
		<div class="input-group">
			<span class="input-group-addon">
				<span class="icon-lock"></span>
			</span>
			<?php echo form_password($fields['confirm_password']); ?>
		</div>
	</div>
	<div class="clearfix"></div>
	<br/>
	<div class="row">
		<div class="">
			<input type="submit" class="btn btn-primary btn-lg btn-block" value="<?php echo lang('SIGNUP'); ?>" />
		</div>
	</div>
	<?php  echo form_close();  ?>
</div>

<?php
	$jslang['COMPANY_REQUIRED']			= lang('FIELD_REQUIRED', lang('COMPANY'));
	$jslang['SUBDOMAIN_NAME_REQUIRED']	= lang('FIELD_REQUIRED', lang('SUBDOMAIN'));
	$jslang['ADMIN_NAME_REQUIRED']		= lang('FIELD_REQUIRED', lang('ADMIN_NAME'));
	$jslang['ADMIN_PASSWORD_REQUIRED']	= lang('FIELD_REQUIRED', lang('ADMIN_PASSWORD'));
	$jslang['CONFIRM_PASSWORD_REQUIRED']= lang('FIELD_REQUIRED', lang('CONFIRM_PASSWORD'));
	$jslang['COMPANY_LENGTH']			= lang('COMPANY_LENGTH');
	$jslang['SUBDOMAIN_LENGTH']			= lang('SUBDOMAIN_LENGTH');
	$jslang['ADMIN_NAME_LENGTH']		= lang('ADMIN_NAME_LENGTH');
	$jslang['ADMIN_PASSWORD_LENGTH']	= lang('ADMIN_PASSWORD_LENGTH');	
	$jslang['CONFIRM_PASSWORD_DIFFERENT']= lang('CONFIRM_PASSWORD_DIFFERENT');
	$jslang['INVALID_EMAIL']			= lang('INVALID_EMAIL');
	$jslang['SUCCESS_SAVE']				= lang('SUCCESS_SAVE');
	$jslang['SUBDOMAIN_NAME_NOT_YET_VERIFIED']	= lang('SUBDOMAIN_NAME_NOT_YET_VERIFIED');

	if (!$is_ajax_request)
	{
		$this->load->view("footer");
	}
?>
<script type="text/javascript">
	$(document).ready(function(){
		$('#confirm_email, #confirm_password').bind("cut copy paste",function(e) {
		      e.preventDefault();
		});
		ko.applyBindings(new Entity_register({
			company_name : '<?php echo set_value("company_name"); ?>',
			user_name : '<?php echo set_value("user_name"); ?>',
			email : '<?php echo set_value("email"); ?>',
			lang: <?php echo json_encode($jslang); ?>
		}), $('#signup-container').get(0));
	});
</script>
